Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 365875

Summary: net-print/cups-pdf-2.5.1 is nonfunctional
Product: Gentoo Linux Reporter: Chris Smith <chris>
Component: [OLD] PrintingAssignee: Printing Team <printing>
Status: RESOLVED FIXED    
Severity: normal CC: bircoph, christian, dirk, sipingal, voyageur
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: Patch to set permissions to 0700

Description Chris Smith 2011-05-03 21:32:01 UTC
net-print/cups-pdf-2.5.1 is nonfunctional due to the ebuild not installing the cups-pdf backend with the proper permissions.

Reproducible: Always

Steps to Reproduce:
1.emerge =net-print/cups-pdf-2.5.1
2.
3.
Actual Results:  
If the cups-pdf printer was previously added to CUPS it will no longer work.
It will no longer show up as a printer that can be added.

Expected Results:  
should work normally

Simply using the previous 2.5.0-r1 ebuild renamed to 2.5.1 works perfectly. The problem is that the new ebuild installs /usr/libexec/cups/backend/cups-pdf with 0755 permissions instead of 0700.
Comment 1 djkrysak 2011-05-05 19:50:12 UTC
Created attachment 272221 [details, diff]
Patch to set permissions to 0700

Here is a patch created against the current ebuild (cups-pdf-2.5.1.ebuild).  It just adds the "exeopts -m0700" line before everything gets installed.
Comment 2 Christian Aistleitner 2011-05-11 15:01:25 UTC
Same situation here.
Proposed attachment 272221 [details, diff] solves the problem.



Portage 2.1.9.48 (default/linux/amd64/10.0, gcc-4.4.4, glibc-2.13-r2, 2.6.38-gentoo-r1 x86_64)
=================================================================
System uname: Linux-2.6.38-gentoo-r1-x86_64-Intel-R-_Core-TM-_i7_CPU_870_@_2.93GHz-with-gentoo-2.0.2
Timestamp of tree: Wed, 11 May 2011 13:15:01 +0000
app-shells/bash:          4.2_p8-r1
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.6.6-r2, 2.7.1-r1, 3.1.3-r1
dev-util/cmake:           2.8.4-r1
sys-apps/baselayout:      2.0.2
sys-apps/openrc:          0.8.2-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21
sys-devel/gcc:            4.4.4-r2, 4.5.2
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.13-r2
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/X11/xdm/Xsetup_0 /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.3/ext-active/ /etc/php/cgi-php5.3/ext-active/ /etc/php/cli-php5.3/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs buildpkg distlocks fixlafiles fixpackages news protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://gd.tuwien.ac.at/opsys/linux/gentoo/ http://gentoo.wheel.sk/ http://gentoo.mirror.dkm.cz/pub/gentoo/ http://gentoo.supp.name/"
LANG="de_AT.UTF-8"
LC_ALL="de_AT.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="de en en_GB eo"
MAKEOPTS="-j6"
PKGDIR="/temp/packages/"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/portage-overlay-gisi /usr/portage/local/portage-dead-ebuilds /root/Projekte/overlay"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="3dnow X Xaw3d a52 aac aalib accessibility acl acpi aim alsa amd64 amr amrnb amrwb apache2 apm audacious audiofile avi berkdb bitmap-fonts bluetooth bonobo bzip2 cairo cardclient cdb cdr cli conax constcw cpdflib cracklib crypt ctype cups cxx dbus de_tvtoday dga dio divx4linux djvu doc dri dts dvb dvd dvdnav dvdr dvdread dvi emacs encode evo exif fam ffmpeg flac foomaticdb freetype ftp gb gdbm gif gimp gimpprint gmp gnome gnutls gpm graphviz gs gstreamer gtk gtk2 gtkhtml iconf iconv icq imagemagick imap imlib irdeto jabber java javascript joystick jpeg jpeg2k junit lcms ldap libcaca libnotify lirc lm_sensors mad maildir matrox mcal mikmod mime mmx mng modules motif mp2 mp3 mpeg msn mudflap mule multilib mysql mysqli nagra nautilus ncurses nls nocd nptl nptlonly offensive ogg openal opengl openmp oscar pam pcre pdf pdflib perl plotutils png posix postgres ppds pppd python quicktime readline recode samba sc sdl seca session setup-plugin shl slang slp sndfile sockets softcsa sound speex spell sse sse2 ssl submenu subtitles svg sysfs sysvipc tcpd tetex theora tidy tiff truetype truetype-fonts type1-fonts udev unicode update usb v4l v4l2 vfat viaccess vorbis wmf x264 xattr xft xinerama xml xml2 xorg xosd xpm xsl xv xvid yaepg yahoo zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic auth_digest authn_anon authn_dbd authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cgi cache dav dav_fs dav_lock dbd deflate dir disk_cache env expires ext_filter file_cache filter headers ident imagemap include info log_config logio mem_cache mime mime_magic negotiation proxy proxy_ajp proxy_balancer proxy_connect proxy_http rewrite setenvif so speling status unique_id userdir usertrack vhost_alias" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en en_GB eo" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" SANE_BACKENDS="plustek epson epson2" USERLAND="GNU" VIDEO_CARDS="radeon s3virge vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 3 Sipingal Liu 2011-05-23 02:18:42 UTC
the patch fixed this issue. Could you please merge it to the portage? Thank you.
Comment 4 Chris Smith 2011-05-23 02:47:01 UTC
Really, why was the ebuild for the bump changed to such a degree and then not tested? Why does a clearly explained problem stay in unconfirmed status for 20 days when a solution (initial report) and a patch (two days later) have already been provided?
Comment 5 Andrew Savchenko gentoo-dev 2011-05-23 11:42:38 UTC
(In reply to comment #4)
> Really, why was the ebuild for the bump changed to such a degree and then not
> tested? Why does a clearly explained problem stay in unconfirmed status for 20
> days when a solution (initial report) and a patch (two days later) have already
> been provided?

[offtopic]
Just 20 days, huh?
There are bugs in bugzilla hanging around for several *years* with not only all information, but even patches available. And nobody cares, just nobody cares.
[/offtopic]
Comment 6 Bernard Cafarelli gentoo-dev 2011-05-30 17:04:51 UTC
Sorry for the delay, printing is a bit understaffed herd, and easy fixes like that can take some time to get in tree (until a dev can validate and commit it).

Anyway, 2.5.1-r1 is in tree and sets the correct permissions, thanks everyone!